'
' Test the syntax of the four SPI Master macros
'

    Device = 18F452
    Declare Xtal = 4
    Declare Optimiser_Level = 1
        
$define SPI0_SCK PORTB.0            ' \
$define SPI0_MOSI PORTB.1           ' | Set the IO lines for SPI Mode 0
$define SPI0_MISO PORTB.2           ' /

$define SPI1_SCK PORTB.0            ' \
$define SPI1_MOSI PORTB.1           ' | Set the IO lines for SPI Mode 1
$define SPI1_MISO PORTB.2           ' /

$define SPI2_SCK PORTB.0            ' \
$define SPI2_MOSI PORTB.1           ' | Set the IO lines for SPI Mode 2
$define SPI2_MISO PORTB.2           ' /

$define SPI3_SCK PORTB.0            ' \
$define SPI3_MOSI PORTB.1           ' | Set the IO lines for SPI Mode 3
$define SPI3_MISO PORTB.2           ' /              

    Include "SSPI_Modes.Inc"        ' Load the bitbashed SPI Master Mode Macros and Subroutines
 
    Dim Bytein As Byte
      
    Bytein = SPI_Out0($EF)          ' Write and read using SPI Mode 0
    Bytein = SPI_Out1($EF)          ' Write and read using SPI Mode 1
    Bytein = SPI_Out2($7F)          ' Write and read using SPI Mode 2
    Bytein = SPI_Out3($A0)          ' Write and read using SPI Mode 3
        
    Stop
        
